// src/boot/dayjs.js
import dayjs from 'dayjs'
import customParseFormat from 'dayjs/plugin/customParseFormat.js'
import relativeTime from 'dayjs/plugin/relativeTime.js'
import localizedFormat from 'dayjs/plugin/localizedFormat.js'
import { applyDayjsLocale } from 'src/i18n/dayjsLocale'

// 🔹 Plugin’leri aktif et
dayjs.extend(customParseFormat)
dayjs.extend(relativeTime)
dayjs.extend(localizedFormat)
applyDayjsLocale('tr')

export default dayjs
